Package org.gdal.gdal

# Class RATDateTime

java.lang.Object
org.gdal.gdal.RATDateTime

public class RATDateTime extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RATDateTime()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `boolean`
  `getBIsValid()`
  `boolean`
  `getBPositiveTimeZone()`
  `float`
  `getFSecond()`
  `int`
  `getNDay()`
  `int`
  `getNHour()`
  `int`
  `getNMinute()`
  `int`
  `getNMonth()`
  `int`
  `getNTimeZoneHour()`
  `int`
  `getNTimeZoneMinute()`
  `int`
  `getNYear()`
  `int`
  `hashCode()`
  `void`
  `setBIsValid(boolean value)`
  `void`
  `setBPositiveTimeZone(boolean value)`
  `void`
  `setFSecond(float value)`
  `void`
  `setNDay(int value)`
  `void`
  `setNHour(int value)`
  `void`
  `setNMinute(int value)`
  `void`
  `setNMonth(int value)`
  `void`
  `setNTimeZoneHour(int value)`
  `void`
  `setNTimeZoneMinute(int value)`
  `void`
  `setNYear(int value)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RATDateTime

    public RATDateTime()

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### setNYear

    public void setNYear(int value)

  - ### getNYear

    public int getNYear()

  - ### setNMonth

    public void setNMonth(int value)

  - ### getNMonth

    public int getNMonth()

  - ### setNDay

    public void setNDay(int value)

  - ### getNDay

    public int getNDay()

  - ### setNHour

    public void setNHour(int value)

  - ### getNHour

    public int getNHour()

  - ### setNMinute

    public void setNMinute(int value)

  - ### getNMinute

    public int getNMinute()

  - ### setFSecond

    public void setFSecond(float value)

  - ### getFSecond

    public float getFSecond()

  - ### setNTimeZoneHour

    public void setNTimeZoneHour(int value)

  - ### getNTimeZoneHour

    public int getNTimeZoneHour()

  - ### setNTimeZoneMinute

    public void setNTimeZoneMinute(int value)

  - ### getNTimeZoneMinute

    public int getNTimeZoneMinute()

  - ### setBPositiveTimeZone

    public void setBPositiveTimeZone(boolean value)

  - ### getBPositiveTimeZone

    public boolean getBPositiveTimeZone()

  - ### setBIsValid

    public void setBIsValid(boolean value)

  - ### getBIsValid

    public boolean getBIsValid()